PCP(1)

NAME
pcp - summarize a Performance Co-Pilot (PCP) installation

SYNOPSIS
pcp [-p] [-a archive] [-h host] [-n pmnsfile]

DESCRIPTION
The pcp command summarizes the status of a Performance Co-Pilot (PCP) installation. The report includes: the OS version, a summary of the hardware inventory, the local timezone, details of valid PCP licenses, the PCP software version, the state of the pmcd(1) process and associated Performance Metrics Domain Agents (PMDAs), as well as information about any PCP archive loggers (pmlogger(1)) and PCP inference engines (pmie(1)) that are running.

For more general information about PCP, refer to PCPIntro(1).

With no arguments, pcp reports on the local host, however the following options are accepted:

-a archive
    Report the PCP configuration as described in the PCP archive log archive.

-h host
    Report the PCP configuration on host rather than the local host.

-n pmnsfile
    Load an alternative Performance Metrics Name Space (pmns(5)) from the file pmnsfile.

-p  Display pmie performance information - counts of rules evaluating to true, false, or indeterminate, as well as the expected rate of rule calculation, for each pmie process running on the default host. Refer to the individual metric help text for full details on these values.

All of the displayed values are performance metric values and further information for each can be obtained using the command:

$ pminfo -dtT metric

The complete set of metrics required by pcp to produce its output is contained in $PCP_SYSCONF_DIR/pmlogger/config.pcp.

When displaying running pmlogger instances, as a space-saving measure pcp will display a relative path to the archive being created if that archive is located below a pcplog subdirectory, otherwise the full pathname is displayed (the PCP log rotation and periodic pmlogger checking facilities support the creation of archives below $PCP_LOG_DIR/pmlogger/<hostname>).

A similar convention is used for trimming the amount of information displayed for running pmie instances, where configuration files below $PCP_VAR_DIR/config will be displayed in truncated form.

FILES
$PCP_SYSCONF_DIR/pmlogger/config.pcp
    pmlogger configuration file for collecting all of the metrics required by pcp.

PCP ENVIRONMENT
Environment variables with the prefix PCP_ are used to parameterize the file and directory names used by PCP. On each installation, the file /etc/pcp.conf contains the local values for these variables. The $PCP_CONF variable may be used to specify an alternative configuration file, as described in pcp.conf(5).

SEE ALSO
PCPIntro(1), pmcd(1), pmie(1), pmlogger(1), pcp.conf(5) and pcp.env(5).

DIAGNOSTICS
pcp will terminate with an exit status of 1 if pmcd on the target host could not be reached or the archive could not be opened, or 2 for any other error.